#ifndef __FTUTIL_H_
#define __FTUTIL_H_

#define WSIM_MAX_FILENAME	34
#define WSIM_MAX_FILE_NUM	256

struct WSIMFileList_TAG {
	BYTE	Unknown[12];
	char	szFileNames[WSIM_MAX_FILE_NUM][WSIM_MAX_FILENAME];
	unsigned long ulFileSizes[WSIM_MAX_FILE_NUM];
	BYTE	Unknown2[0x2200];
};

BOOL	FTUtil_Initialize();
BOOL	FTUtil_Terminate();
int		FTUtil_ProcessBegin();
void	FTUtil_ProcessEnd();
int		FTUtil_GetFileList(	struct WSIMFileList_TAG* pTagList );
int		FTUtil_RecvFile( LPWSTR pDestFile, LPWSTR pSrcFile, unsigned long ulFileSize);
int		FTUtil_SendFile( LPWSTR pDestFile, LPWSTR pSrcFile, unsigned long ulFileSize, LPWSTR pLocalTimeStr);

#endif